<?php
class ControllerExtensionPaymentBpay extends Controller {

	public function index() {
		$data['button_confirm'] = $this->language->get('button_confirm');

		$this->load->model('checkout/order');
		$this->load->model('localisation/currency');

		$order_info = $this->model_checkout_order->getOrder($this->session->data['order_id']);




        $amount = $order_info['total'];


		if($this->config->get('bpay_description')) $desc = $this->config->get('bpay_description');
		else $desc = $order_info['store_name'];

		if($this->session->data['language'] && in_array($this->session->data['language'], array('ru', 'ro', 'en'))) $lang = $this->session->data['language'];
		else $lang = 'ru';

		$xml = '<payment>
					<type>1.2</type>
					<merchantid>' . $this->config->get('bpay_merchant') . '</merchantid>
					<amount>' . $amount . '</amount>
					<description>'. $desc .'</description>
					<method>bpay</method>
					<order_id>' . $this->session->data['order_id'] . '</order_id>
					<success_url>' . htmlspecialchars($this->url->link('checkout/success', '', 'SSL')) . '</success_url>
					<fail_url>' . htmlspecialchars($this->url->link('', '', 'SSL')) . '</fail_url>
					<callback_url>' . htmlspecialchars($this->url->link('extension/payment/bpay/callback', '', 'SSL')) . '</callback_url>
					<lang>' . $lang . '</lang>
					<advanced1>' . $this->config->get('config_name') . ' ' . $order_info['payment_firstname'] . '</advanced1>
					<advanced2>' . $order_info['payment_address_1'] . ' ' . $order_info['payment_city'] . ' ' . $order_info['email'] . '</advanced2>
					<istest>' . $this->config->get('bpay_test_mode') . '</istest>
				</payment>';

		$data['xml'] = base64_encode($xml);
		$data['signature'] = md5(md5($xml) . md5($this->config->get('bpay_signature')));

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/extension/payment/bpay.tpl')) {
			return $this->load->view($this->config->get('config_template') . '/extension/payment/bpay.tpl', $data);
		} else {
			return $this->load->view('extension/payment/bpay.tpl', $data);
		}

		return $this->load->view('extension/payment/bpay', $data);
	}

	public function callback() {

		$signature = $this->config->get('bpay_signature');
		$data = $this->request->post['data'];
		$key = $this->request->post['key'];
		$xmldata = base64_decode($data);
		$vrfsign = md5(md5($xmldata) . md5($signature));
		if ($key == $vrfsign)
		{
			$xml = simplexml_load_string ($xmldata);
			if ((string)$xml->comand == "check")
			{
				// проверка существования указанного order_id
				// 100 - номер существует, 50 - номер не существует
				echo "<?xml version='1.0' encoding=\"utf8\"?>";
				echo "<result>";
				echo "<code>50</code>";
				echo "<text>not exist</text>";
				echo "</result>";
			}
			elseif ((string)$xml->comand=="pay")
			{
				$order_id = (string)$xml->order_id;


				$this->load->model('checkout/order');

				//$this->model_checkout_order->addOrderHistory($order_id, $this->config->get('config_order_status_id'));
				$this->model_checkout_order->addOrderHistory($order_id, $this->config->get('bpay_order_status_id'), 'success', false);

				echo "<?xml version='1.0' encoding=\"utf8\"?>";
				echo "<result>";
				echo "<code>100</code>";
				echo "<text>success</text>";
				echo "</result>";
			}
			else
			{
				echo "<?xml version='1.0' encoding=\"utf8\"?>";
				echo "<result>";
				echo "<code>30</code>";
				echo "<text>unknown method</text>";
				echo "</result>";
			}
		}
		else
		{
			echo "<?xml version='1.0' encoding=\"utf8\"?>";
			echo "<result>";
			echo "<code>30</code>";
			echo "<text>incorrect signature</text>";
			echo "</result>";
		}
	}


}